// module/health/components/field-ruler/field-ruler.ts
import { getFollowRecordListMethod } from "../../request";
Component({
  behaviors: ["wx://form-field-group"],
  lifetimes: {
    attached() {
      this.getFollowRecordList();
    },
  },
  methods: {
    async getFollowRecordList() {
      const res = await getFollowRecordListMethod();
      this.setData({
        followEvaluationList: res.data,
      });
    },
    goFollowRecord(e: any) {
    },
  },
  properties: {},

  /**
   * 组件的初始数据
   */
  data: {
    loading: false,
    followEvaluationList: [
      // {
      //   id: 1,
      //   time: "2025-05-19",
      //   name: "计划",
      //   status: "未完成",
      //   statusId: 1,
      // },
      // {
      //   id: 2,
      //   time: "2025-05-19",
      //   name: "计划",
      //   status: "未完成",
      //   statusId: 1,
      // },
      // {
      //   id: 3,
      //   time: "2025-05-19",
      //   name: "计划",
      //   statusId: 2,
      //   status: "已完成",
      // },
    ],
  },
  observers: {},
 
});
